| Flutter Linux Embedder |

Public Attributes | List of all members
_FlCompositorOpenGL Struct Reference

## Public Attributes
FlCompositor | parent_instance
GWeakRef | engine
GdkGLContext * | context
FlOpenGLManager * | opengl_manager
int | target_width
int | target_height
bool | blocking_main_thread
bool | had_first_frame
bool | has_gl_framebuffer_blit
GLuint | program
GLuint | offset_location
GLuint | scale_location
GLuint | vertex_buffer
GPtrArray * | framebuffers
GMutex | present_mutex
GCond | present_condition

## Detailed Description

Definition at line 41 of file fl_compositor_opengl.cc.

## Member Data Documentation

## ◆ blocking_main_thread

bool _FlCompositorOpenGL::blocking_main_thread

Definition at line 58 of file fl_compositor_opengl.cc.

## ◆ context

GdkGLContext* _FlCompositorOpenGL::context

Definition at line 48 of file fl_compositor_opengl.cc.

## ◆ engine

GWeakRef _FlCompositorOpenGL::engine

Definition at line 45 of file fl_compositor_opengl.cc.

## ◆ framebuffers

GPtrArray* _FlCompositorOpenGL::framebuffers

Definition at line 80 of file fl_compositor_opengl.cc.

## ◆ had_first_frame

bool _FlCompositorOpenGL::had_first_frame

Definition at line 62 of file fl_compositor_opengl.cc.

## ◆ has_gl_framebuffer_blit

bool _FlCompositorOpenGL::has_gl_framebuffer_blit

Definition at line 65 of file fl_compositor_opengl.cc.

## ◆ offset_location

GLuint _FlCompositorOpenGL::offset_location

Definition at line 71 of file fl_compositor_opengl.cc.

## ◆ opengl_manager

FlOpenGLManager* _FlCompositorOpenGL::opengl_manager

Definition at line 51 of file fl_compositor_opengl.cc.

## ◆ parent_instance

FlCompositor _FlCompositorOpenGL::parent_instance

Definition at line 42 of file fl_compositor_opengl.cc.

## ◆ present_condition

GCond _FlCompositorOpenGL::present_condition

Definition at line 88 of file fl_compositor_opengl.cc.

## ◆ present_mutex

GMutex _FlCompositorOpenGL::present_mutex

Definition at line 84 of file fl_compositor_opengl.cc.

## ◆ program

GLuint _FlCompositorOpenGL::program

Definition at line 68 of file fl_compositor_opengl.cc.

## ◆ scale_location

GLuint _FlCompositorOpenGL::scale_location

Definition at line 74 of file fl_compositor_opengl.cc.

## ◆ target_height

int _FlCompositorOpenGL::target_height

Definition at line 55 of file fl_compositor_opengl.cc.

## ◆ target_width

int _FlCompositorOpenGL::target_width

Definition at line 54 of file fl_compositor_opengl.cc.

## ◆ vertex_buffer

GLuint _FlCompositorOpenGL::vertex_buffer

Definition at line 77 of file fl_compositor_opengl.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_compositor_opengl.cc